class_name BalleDeFeu
extends Balle


const DEGATS_FEU: int = 5
const BalleDeFeuScene: PackedScene = preload("res://composants/objets/balle/balle_de_feu/balle_de_feu.tscn")


func _process(delta: float) -> void:
	pass # a remplacer, le clignotement se fait ici


## La balle de feu fait plus de degats
func _impacter_brique(brique: Brique) -> void:
	brique.frapper(DEGATS_FEU)


## La balle de feu a besoin de s'orienter quand sa direction change
#func _mettre_en_mouvement(dir: Vector2) -> void:
#	super._mettre_en_mouvement(dir)
#	_diriger(dir)


## La balle de feu a besoin de s'orienter quand sa direction change
# _rebondir comme _mettre_en_mouvement


## Transforme une balle quelconque en balle de feu
static func transformer(balle: Balle) -> void:
	var balle_de_feu: BalleDeFeu = BalleDeFeuScene.instantiate()
	balle.add_sibling.call_deferred(balle_de_feu) # Appeler plus tard sinon Godot pas content
	balle_de_feu.recopier(balle)
	balle.queue_free()
